Package de.gebit.integrity.ui.contentassist.antlr

## Class PartialDSLContentAssistParser

- java.lang.Object
- - org.eclipse.xtext.ide.editor.contentassist.antlr.BaseContentAssistParser<org.eclipse.xtext.ui.editor.contentassist.antlr.FollowElement,​org.eclipse.xtext.ui.editor.contentassist.antlr.LookAheadTerminal,​org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser>
  - - org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser
    - - de.gebit.integrity.ui.contentassist.antlr.DSLParser
      - - de.gebit.integrity.ui.contentassist.antlr.PartialDSLContentAssistParser

- All Implemented Interfaces:
    `org.eclipse.xtext.ui.codetemplates.ui.partialEditing.IPartialContentAssistParser`, `org.eclipse.xtext.ui.editor.contentassist.antlr.IContentAssistParser`

      public class PartialDSLContentAssistParser
      extends DSLParser
      implements org.eclipse.xtext.ui.codetemplates.ui.partialEditing.IPartialContentAssistParser

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser

      `org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser.MyEofListener`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PartialDSLContentAssistParser()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Collection<org.eclipse.xtext.ui.editor.contentassist.antlr.FollowElement>` | `getFollowElements​(org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser parser)` |
    `void` | `initializeFor​(org.eclipse.xtext.AbstractRule rule)` |

    - ### Methods inherited from class de.gebit.integrity.ui.contentassist.antlr.DSLParser

      `createParser, getGrammarAccess, getInitialHiddenTokens, getRuleName, setGrammarAccess`

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser

      `createEofListener, createLexer`

    - ### Methods inherited from class org.eclipse.xtext.ide.editor.contentassist.antlr.BaseContentAssistParser

      `appendTextToParse, createObservableTokenStream, createTokenSource, createUnorderedGroupHelper, getElementsToParse, getElementsToParse, getElementsToParse, getEntryGrammarElement, getEntryRule, getFollowElements, getFollowElements, getFollowElements, getFollowElements, getFollowElements, getFollowElements, getFollowElements, getFollowElements, getInitializedUnorderedGroupHelper, getReplacement, getRequiredRuleNameComputer, getRequiredRuleNames, getRuleNames, getTextToParse, getUnorderedGroupHelper, ignoreFirstEntrance, setRequiredRuleNameComputer, setTokensFromFollowElement, setUnorderedGroupHelper, unwrapSingleElementGroups`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.xtext.ui.editor.contentassist.antlr.IContentAssistParser

      `getFollowElements, getFollowElements`

- - ### Constructor Detail

    - #### PartialDSLContentAssistParser

          public PartialDSLContentAssistParser()

  - ### Method Detail

    - #### initializeFor

          public void initializeFor​(org.eclipse.xtext.AbstractRule rule)

      Specified by:
        `initializeFor` in interface `org.eclipse.xtext.ui.codetemplates.ui.partialEditing.IPartialContentAssistParser`
      Overrides:
        `initializeFor` in class `org.eclipse.xtext.ide.editor.contentassist.antlr.BaseContentAssistParser<org.eclipse.xtext.ui.editor.contentassist.antlr.FollowElement,​org.eclipse.xtext.ui.editor.contentassist.antlr.LookAheadTerminal,​org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser>`

    - #### getFollowElements

          protected Collection<org.eclipse.xtext.ui.editor.contentassist.antlr.FollowElement> getFollowElements​(org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser parser)

      Overrides:
        `getFollowElements` in class `DSLParser`